import {loadAndProcessData} from './loadAndProcessData';
const svg = d3.select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');

// const projection = d3.geoMercator();
// const projection = d3.geoOrthographic();
const projection = d3.geoNaturalEarth1();
const pathGenerator = d3.geoPath().projection(projection);
const g = svg.append('g');
g.append('path')
	.attr('class', 'sphere')
	.attr('d', pathGenerator({type: "Sphere"}));



svg.call(d3.zoom().on('zoom', () => {
	g.attr('transform', d3.event.transform);
}));

const colorScale = d3.scaleOrdinal();
const colorValue = d => d.properties.economy;

loadAndProcessData().then(countries => {
  
  	const tmp = colorScale.domain(countries.features.map(colorValue));
  console.log(colorScale.domain().sort());
    tmp
  		.domain(colorScale.domain().sort().reverse())
  		.range(d3.schemeSpectral[colorScale.domain().length]);
	  g.selectAll('path').data(countries.features)
  	.enter().append('path')
  	.attr('class', 'country')
  	.attr('d', pathGenerator)
  	.attr('fill', d => colorScale(colorValue(d)))
  	.append('title')
  	.text(d => d.properties.name + ':' + colorValue(d));
})