import {feature} from 'topojson'; 
export const loadAndProcessData = () =>
	Promise.all([
    d3.tsv('https://unpkg.com/world-atlas@1.1.4/world/110m.tsv'),
    d3.json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
  ]).then(([tsvData, topoJsonData]) => {
    // const countryName = {};
    // tsvData.forEach(d => {
    // 	countryName[d.iso_n3] = d.name;
    // });

    const rowById = tsvData.reduce((accumulator, d) => {
      accumulator[d.iso_n3] = d;
      return accumulator;
    }, {});

    const countries = feature(topoJsonData, topoJsonData.objects.countries);
    console.log(countries.features);
    countries.features.forEach(d => {
      Object.assign(d.properties, rowById[d.id]);
    })
    return countries;
  });